Last(3pm)

NAME
Lire::Last - Lire class that implements the last operator

SYNOPSIS
 use Lire::Last

DESCRIPTION
Class that implements the last operator. This operator will output the last value appearing in its field when the DLF records are sorted according to the "sort_fields" attribute. The default sort order is the default timestamp sort.

METHODS

  new( %params )
Creates a new Lire::Last object.

  sort_fields( [$new_sort_fields] )
Returns the fields that are going to be used to sort the DLF records. This a reference to an array of DLF field names.

If the $new_sort_fields parameter is set, it will be used as the new sort order. It must be an array reference and should only contains valid field names for the current report specification's schema.

When no sort_fields are set, the default is to use the default timestamp field. =cut

SEE ALSO
 Lire::ReportSpec(3pm), Lire::ReportOperator(3pm),
 Lire::Aggregator(3pm), Lire::Aggregate(3pm), Lire::First(3pm)

AUTHORS
  Francis J. Lacoste <flacoste@logreport.org>
  Wolfgang Sourdeau <wsourdeau@logreport.org>

VERSION
$Id: Last.pm,v 1.14 2008/03/09 19:27:31 vanbaal Exp $

COPYRIGHT
Copyright (C) 2001-2004 Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.